PULSAR
API ReferenceWidget Dashboards

Update Widget Instance

Update widget instance, identified by dashboardId and instanceId.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Path Parameters

dashboardId*string

The dashboard's ID.

instanceId*string

The instance's ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
PUT
/widgets/dashboards/{dashboardId}/widget-instances/{instanceId}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X PUT "https://example.com/widgets/dashboards/string/widget-instances/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "widgetId": "string",  "dashboardId": "string",  "specOverride": {    "property1": null,    "property2": null  },  "visualConfig": {    "property1": null,    "property2": null  },  "widget": {    "id": "string",    "title": {      "en": "string",      "es": "string"    },    "description": {      "en": "string",      "es": "string"    },    "spec": {      "property1": null,      "property2": null    },    "isSystem": true,    "isFavorited": true,    "featureRequirements": "string",    "labels": "string",    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string",    "thumbnailUrl": "string",    "compressedThumbnailUrl": "string"  },  "createdAt": "string",  "updatedAt": "string",  "deletedAt": "string"}